Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCallbackCommand Class Reference

`#include <vtkCallbackCommand.h>`

Inheritance diagram for vtkCallbackCommand:

[legend]
Collaboration diagram for vtkCallbackCommand:

[legend]
List of all members.

## Detailed Description

supports function callbacks

Date:
  2002/05/03 12:40:25

Revision:
  1.5

Use vtkCallbackCommand for generic function callbacks. That is, this class can be used when you wish to execute a function (of the signature described below) using the Command/Observer design pattern in VTK. The callback function should have the form

     void func(vtkObject*, unsigned long eid, void* clientdata, void *calldata)

where the parameter vtkObject* is the object invoking the event; eid is the event id (see vtkCommand.h); clientdata is special data that should is associated with this instance of vtkCallbackCommand; and calldata is data that the vtkObject::InvokeEvent() may send with the callback. For example, the invocation of the ProgressEvent sends along the progress value as calldata.

See also:
  vtkCommand vtkOldStyleCallbackCommand

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (61%)
  - Schroeder, Will (35%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkCallbackCommand.cxx)`
  - .`h` (`/Common/vtkCallbackCommand.h)`

Definition at line 57 of file vtkCallbackCommand.h.

## Public Methods
void | Execute (vtkObject *caller, unsigned long eid, void *callData)
void | SetClientData (void *cd)
void * | GetClientData ()
void | SetCallback (void(*f)(vtkObject *caller, unsigned long eid, void *clientdata, void *calldata))
void | SetClientDataDeleteCallback (void(*f)(void *))
## Static Public Methods
vtkCallbackCommand * | New ()
## Public Attributes
void * | ClientData
void(* | Callback )(vtkObject *, unsigned long, void *, void *)
void(* | ClientDataDeleteCallback )(void *)
## Protected Methods
| vtkCallbackCommand ()
| ~vtkCallbackCommand ()

## Constructor & Destructor Documentation

vtkCallbackCommand::vtkCallbackCommand | ( |  | ) | `[protected]`

vtkCallbackCommand::~vtkCallbackCommand | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCallbackCommand* vtkCallbackCommand::New | ( |  | ) | `[inline, static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObjectBase. Definition at line 60 of file vtkCallbackCommand.h.

void vtkCallbackCommand::Execute | ( | vtkObject * | caller,
|  | unsigned long | eid,
|  | void * | callData
| ) | `[virtual]`

| Satisfy the superclass API for callbacks. Recall that the caller is the instance invoking the event; eid is the event id (see vtkCommand.h); and calldata is information sent when the callback was invoked (e.g., progress value in the vtkCommand::ProgressEvent). Implements vtkCommand.

void vtkCallbackCommand::SetClientData | ( | void * | cd | ) | `[inline]`

| Methods to set and get client and callback information, and the callback function. Definition at line 72 of file vtkCallbackCommand.h.

void* vtkCallbackCommand::GetClientData | ( |  | ) | `[inline]`

| Methods to set and get client and callback information, and the callback function. Definition at line 74 of file vtkCallbackCommand.h.

void vtkCallbackCommand::SetCallback | ( | void(* | f)(vtkObject *caller, unsigned long eid, void *clientdata, void *calldata) | ) | `[inline]`

| Methods to set and get client and callback information, and the callback function. Definition at line 76 of file vtkCallbackCommand.h.

void vtkCallbackCommand::SetClientDataDeleteCallback | ( | void(* | f)(void *) | ) | `[inline]`

| Methods to set and get client and callback information, and the callback function. Definition at line 79 of file vtkCallbackCommand.h.

## Member Data Documentation

void* vtkCallbackCommand::ClientData

| Definition at line 83 of file vtkCallbackCommand.h.

void(* vtkCallbackCommand::Callback)(vtkObject *, unsigned long, void *, void *)

void(* vtkCallbackCommand::ClientDataDeleteCallback)(void *)

The documentation for this class was generated from the following file:

- Common/vtkCallbackCommand.h